Description
===========

A Chef cookbook for provisioning the [Riemann event stream processor](http://riemann.io).

Requirements
============

The cookbook should suffice, given these prerequisites:

* a Java runtime (v1.7 or v1.8) for the server component
* a Ruby interpreter and RubyGems for the client components

Chef Attributes
==========

```ruby
default[:riemann][:ruby_tarball_location] = "http://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.3-p374.tar.gz"
default[:riemann][:ruby_tarball] = "ruby-1.9.3-p374.tar.gz"
default[:riemann][:ruby_tarball_dir] = "ruby-1.9.3-p374"

default[:riemann][:riemann_tarball_location] = "http://aphyr.com/riemann/riemann-0.2.9.tar.bz2"
default[:riemann][:riemann_install_location] = "/opt/riemann"
default[:riemann][:riemann_tarball] = "riemann-0.2.9.tar.bz2"
default[:riemann][:riemann_version] = "riemann-0.2.9"
```

Usage
=====

Add `riemann::server` to the `run_list` to install the server; this will also install the client Ruby gem.

Add `riemann::client` to the `run_list` to only install the client Ruby gem.

Add `riemann::dash` to the `run_list` to install the Riemann web UI dashboard; this will also install the server and client Ruby gem.
